MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028332Open CASCADE[OCCT] OCCT:Data Exchangepublic2017-01-03 21:232017-09-29 16:29
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028332: Unstable tests in group gdt export
DescriptionTests in group gdt export are not stable: some of them fail from time to time.
Here is example of my log, comparing two runs of current master:

STATUS gdt export A3: OK / FAILED
STATUS gdt export B2: FAILED / OK

As far as I can see on both these examples, the problem is that GDT data get lost after writing. Here ix extract from log:

========================== Comparision with reference data ========

Error : 8 differences with reference data found :

 Reference data - NbOfDimensions : 10
 Current data - NbOfDimensions : 10
 Current data after writing - NbOfDimensions : 0

(further the same for other NbOf* parameters)
Steps To ReproduceNot requared.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069716)
git (administrator)
2017-08-21 15:33

Branch CR28332 has been created by ika.

SHA-1: 10f35e3aecbde44ac25d53c7d808745aab19e4ff


Detailed log of new commits:

Author: ika
Date: Mon Aug 21 15:22:39 2017 +0300

    0028332: Unstable tests in group gdt export
    
    Add initialization of variable GDTMode in STEP writer.
(0069718)
kgv (developer)
2017-08-21 16:08

@@ -299,6 +299,7 @@ STEPCAFControl_Writer::STEPCAFControl_Writer (const Handle(XSControl_WorkSession
   
myLayerMode = Standard_True;
   myPropsMode = Standard_True;
   mySHUOMode = Standard_True;
+  myGDTMode = Standard_True;
 }

It looks dangerous calling any class methods before all class fields have been initialized.
Please move all assignments to members initialization list, and keep only these that should be overridden by Init(), but are there any?
(0069720)
git (administrator)
2017-08-21 16:40

Branch CR28332 has been updated forcibly by ika.

SHA-1: 2483717eece32c332c045bccfd6abd92615473e6
(0069732)
ika (developer)
2017-08-22 10:27

Dear ABV,

could you please review brach CR28332?

test results:
http://jenkins-test-10.nnov.opencascade.com/view/CR28332-master-ika/ [^]
bugs vis bug5682 - unstable test case, which cannot be affected by changes in this issue.
(0069749)
abv (manager)
2017-08-22 15:06

No remarks, please integrate
(0069819)
bugmaster (administrator)
2017-08-24 11:29
edited on: 2017-08-24 11:44

Combination -
OCCT branch : CR28332 : SHA-1: 2483717eece32c332c045bccfd6abd92615473e6
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0069897)
git (administrator)
2017-08-25 16:13

Branch CR28332 has been deleted by kgv.

SHA-1: 2483717eece32c332c045bccfd6abd92615473e6

- Related Changesets
occt: master 5b83cdb6
Timestamp: 2017-08-21 12:22:39
Author: ika
Committer: bugmaster
Details ] Diff ]
0028332: Unstable tests in group gdt export

Add initialization of variable GDTMode in STEP writer.
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-01-03 21:23 abv New Issue
2017-01-03 21:23 abv Assigned To => gka
2017-08-15 17:11 abv Assigned To gka => ika
2017-08-15 17:11 abv Status new => assigned
2017-08-21 15:33 git Note Added: 0069716
2017-08-21 16:08 kgv Note Added: 0069718
2017-08-21 16:40 git Note Added: 0069720
2017-08-22 10:27 ika Note Added: 0069732
2017-08-22 10:27 ika Assigned To ika => abv
2017-08-22 10:27 ika Status assigned => resolved
2017-08-22 10:27 ika Steps to Reproduce Updated View Revisions
2017-08-22 15:06 abv Note Added: 0069749
2017-08-22 15:06 abv Assigned To abv => bugmaster
2017-08-22 15:06 abv Status resolved => reviewed
2017-08-24 11:27 bugmaster Test case number => Not required
2017-08-24 11:29 bugmaster Note Added: 0069819
2017-08-24 11:29 bugmaster Status reviewed => tested
2017-08-24 11:44 bugmaster Note Edited: 0069819 View Revisions
2017-08-25 15:02 bugmaster Changeset attached => occt master 5b83cdb6
2017-08-25 15:02 bugmaster Status tested => verified
2017-08-25 15:02 bugmaster Resolution open => fixed
2017-08-25 16:13 git Note Added: 0069897
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker